Subject: Re: bug#36313: 12.1.2; percent symbol in \url{}

From: Ryo Furue <[email-masked]>
Date: Fri, 28 Jun 2019 17:36:02 +0900

Dear David and others,

On Fri, Jun 28, 2019 at 4:16 PM David Kastrup <[email-masked]> wrote:

>
> > Thinking more about this issue, I would argue that TeX-parse-self should
> be
> > set to t by default, because
> >
> > Do the right thing (DTRT) by default
> > and optimize, if it's slow.
>
> Have you bothered reading the referenced discussions?

Yes I have read it through.

>   You don't appear
> to bother bringing anything new to it.
>
> Parsing a whole bunch of dependencies isn't the right default for
> someone not interested in AUCTeX or TeX.
>

I didn't know that AUCTeX is switched on by default for everybody using
emacs.  I (wrongly) assumed that AUCTeX was switched on only when you
enable it in your init.el  .

Since AUCTeX is enabled by default for everybody and if the parsing would
occur to everybody if the variable is set, your argument is strong.

Regards,
Ryo